ランタイム: Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY Struct Reference

デバッグ : カメラ : 半透明プロファイル構造体 More...

`#include <Common.h>`

## Public Attributes

UInt32 | objCount
| オブジェクト数 More...
UInt32 | objCapacity
| オブジェクトのキャパシティ More...
UInt32 | comCount
| コマンドの数 More...
UInt32 | comCapacity
| コマンドのキャパシティ More...
UInt32 | bkComCount
| 屈折面より後ろの描画に使用されたコマンドの数( 屈折面と重なっているものも含む ) More...
UInt32 | bkComCapacity
| 屈折面より後ろの描画に使用されたコマンドのキャパシティ More...
UInt32 | frComCount
| 屈折面より前の描画に使用されたコマンドの数( 屈折面と重なっているものも含む ) More...
UInt32 | frComCapacity
| 屈折面より前の描画に使用されたコマンドのキャパシティ More...
UInt32 | ovComCount
| 屈折面と重なっている(オーバラップ)コマンドの数 More...
Float32 | soElapsedTime
| オブジェクトのソートにかかった時間( 秒単位 ) More...
Float32 | gcElapsedTime
| オブジェクトからコマンドの生成にかかった時間( 秒単位 ) More...
Float32 | dcElapsedTime
| 屈折面に対する前後のコマンドの分割にかかった時間( 秒単位 ) More...
Float32 | bkElapsedTime
| 屈折面より後ろの描画にかかった時間( 秒単位 ) More...
Float32 | frElapsedTime
| 屈折面より前の描画にかかった時間( 秒単位 ) More...

## Detailed Description

デバッグ : カメラ : 半透明プロファイル構造体

## Member Data Documentation

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::objCount

オブジェクト数

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::objCapacity

オブジェクトのキャパシティ

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::comCount

コマンドの数

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::comCapacity

コマンドのキャパシティ

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::bkComCount

屈折面より後ろの描画に使用されたコマンドの数( 屈折面と重なっているものも含む )

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::bkComCapacity

屈折面より後ろの描画に使用されたコマンドのキャパシティ

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::frComCount

屈折面より前の描画に使用されたコマンドの数( 屈折面と重なっているものも含む )

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::frComCapacity

屈折面より前の描画に使用されたコマンドのキャパシティ

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::ovComCount

屈折面と重なっている(オーバラップ)コマンドの数

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::soElapsedTime

オブジェクトのソートにかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::gcElapsedTime

オブジェクトからコマンドの生成にかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::dcElapsedTime

屈折面に対する前後のコマンドの分割にかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::bkElapsedTime

屈折面より後ろの描画にかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY::frElapsedTime

屈折面より前の描画にかかった時間( 秒単位 )

The documentation for this struct was generated from the following file:

- Mix/Common.h